Info: dette er ikke endringsloggen for siste stabile versjon 4.13.1
se alle skiftelogger

Pro v2.3 med geolokasjonsforbedringer og kompatibilitetsfikser er tilgjengelig

Vi har som mål å tilby en bærekraftig tjeneste så vel som stabile og sikre produkter til alle brukerne våre. Som et resultat fokuserte vi på å forbedre backend-tjenester og infrastruktur samt driftsprosesser i løpet av de siste 2 månedene og måtte utsette den jevnlige utviklingen som en konsekvens.

Likevel er v2.3 nå ferdig og inkluderer ikke bare kompatibilitetsfikser, men også nye funksjoner angående geolokalisering og forbedringer, spesielt for utviklere og integratorer.

En oppdatering til den nyeste versjonen er - som alltid - sterkt anbefalt. Les nedenfor for mer informasjon.


La oss få vite hva du synes om denne nye utgivelsen av sende inn en anmeldelse eller legge igjen en kommentar nedenfor!

Hvis du vil holde deg oppdatert med den siste Maps Marker-utviklingen, følg @MapsMarker på twitter (= siste oppdateringer), på Facebook , Google+ eller abonner på nyheter via RSS eller via RSS / e-post.

Vi vil også invitere deg til å bli med på vår affiliate program som tilbyr provisjoner opptil 50%. Hvis du er interessert i å bli forhandler, kan du gå til https://www.mapsmarker.com/reseller


La oss nå komme til høydepunktene i pro v2.3:

geolocate forbedringer

Innen Innstillinger / Kartverdier / “Geolocate Settings” vil du finne et nytt alternativ som heter oppstart:

autostart-Lokalisere geografisk

Som standard er denne innstillingen satt til usann. Hvis dette alternativet er satt, vil geolokalisering automatisk starte på alle kart. Hvis du bare vil starte geolokalisering på utvalgte kart, kan du fortsette til neste høydepunkt på v2.3:

ny JavaScript-variabel for utviklere / integratorer

Med v2.3 de nye JavaScript-variablene mapid_js og mapname_js ble lagt til kildekoden til hvert kart. Dette letter gjenbruken av javascript-funksjonen utenfor rammeverket for Map Marker Pro.

La oss for eksempel si at du vil starte geolokalisering for alle kart som bare vises i bloggarkivet. For å oppnå dette, må du legge til følgende javascript-kode i malfilen din (vanligvis archives.php, men dette kan være annerledes basert på temaet du bruker):

<script type="text/javascript">
EVAL ( 'locatecontrol _' + mapname_js) .start ();
</ Script>

Denne endringen gir deg også fleksibilitet til enklere å ringe direkte leaflet.js API-kommandoer fra utenfor plugin-rammeverket, for eksempel å legge til en knapp i ditt tema som endrer zoomnivået.

Den fullstendige referansen til brosjyren API finner du franske baguetter..

ny tutorial for MapTiler

Med MapTiler kan du gjøre bilder om til interaktive kartlag som kan vises med Maps Marker Pro ved å konfigurere dem som tilpasset basekart eller tilpasset overlegg.

Matthew Sangster opprettet nå en veiledning om hvordan du oppretter tilpassede basemaps ved hjelp av MapTiler - mange takk for det!

ny 3d-logo for Maps Marker Pro

Gutta & damene fra cgi-branding.com laget en ny 3D-logo for Maps Marker, som nå også brukes i alle våre produkter og tjenester:

mapsmarkerpro-logo

mange takk for flott arbeid!

ny slovenske oversettelse

Takk til Anna Dukan, http://www.unisci24.com/blog/ Slovensk er lagt til som tilgjengelig oversettelse nummer 36.

Hvis du også vil bidra til oversettelser (i bytte mot en pro-lisens), kan du gå til https://translate.mapsmarker.com/projects/lmm for mer informasjon.

Andre endringer og optimaliseringer

  • bruk CSS-klasser i stedet for inline-stiler for nyere markørwidgets for å bedre støtte overstyringer (thx Patrick!)
  • oppdatert kundeområde på mapsmarker.com samt bytte til PHP 5.6 - rapporter eventuelle problemer!

Feilrettinger

  • GPX-spor som bruker UTF8 med BOM-koding vises ikke i Google Chrome (thx José!)
  • SiteOrigin fikset en plugin-konflikt ved å slippe Page Builder v2.1
  • Fjernet unset () for validate_local_key () da det kan føre til at den andre valideringen av den lokale nøkkelen etter oppdatering mislykkes
  • problemer med lisens API-anrop på servere der SSLVerifyClient-direktivet er satt til "påkrevd" (thx Ron!)
  • tilpasset standardikon ble ikke lagret etter at "legg til ny markør" -koblingen ble brukt en gang (thx Cyrille!)
  • tilpassede PHP-separatorinnstillinger for floatval () kan føre til ødelagte kart (thx Tamas!)
  • ødelagt lag rediger kobling på markørredigeringssider etter publiserings- eller oppdateringsknapp har blitt klikket
  • se etter PHP Suhosin-patch som førte til hvitskjerm på spesielle serverkonfigurasjoner hvis phpinfo () ble blokkert

Oversettelser oppdateres

Takket være mange motiverte bidragsytere inkluderer denne utgivelsen oppdateringer til følgende oversettelser:

Hvis du vil bidra til oversettelser (nye hindi-oversettere vil bli satt pris på!), Vennligst besøk https://translate.mapsmarker.com/projects/lmm for mer informasjon.

Vær oppmerksom på at oversetterne også blir kompensert for deres bidrag - for eksempel hvis en oversettelse er ferdig mindre enn 50%, får oversetteren en gratis pakke på 25 lisenser til en verdi av € 149 som kompensasjon for å fullføre oversettelsen til 100%.

Kjente problemer

Dessverre er det for øyeblikket ett problem som ikke kan løses direkte i Maps Marker Pro:

Med WordPress 4.2 ble Emoji-støtte lagt til. Dessverre er det en åpen feil (detaljer) som kan føre til frosne kart eller krasjer på Internet Explorer - så WordPress 4.2, 4.2.1 og 4.2.2 blir berørt. I henhold til den relaterte sporingsbilletten er en reparasjon allerede tilgjengelig og vil forhåpentligvis bli distribuert snart med WordPress 4.2.3.

Som løsning til WordPress 4.2.3 er tilgjengelig, kan du bare deaktiver Emojis for øyeblikket for at kart også fungerer som de skal i Internet Explorer.

Vi beklager dette problemet, men dette er utenfor vår innflytelse - vi kontaktet allerede gutta og damene på WordPress og håper at løsningen for Emoji / SVG-feilen snart vil være tilgjengelig.

Outlook - planer for de neste utgivelsene

Vær oppmerksom på at vi ikke kan love noen utgivelsesdatoer for nye funksjoner. De veikart for viktige nye funksjoner gir deg en ide hvor Maps Marker Pro er på vei - uansett vil vi bare beholde fleksibiliteten til å legge til optimaliseringer og bugfixes med ganske ikke planlagte mindre utgivelser som hovedsakelig skyldes tilbakemeldinger fra brukerne.

Abonner på denne bloggen (via RSS or E-post) eller følg @MapsMarker på twitter (= mest aktuelle oppdateringer) hvis du vil holde deg oppdatert med de siste utviklingsnyhetene.

Full changelog

nytt alternativ for å automatisk starte geolokalisering globalt på alle kart (se endringslogg for hvordan du bare starter geolokalisering for utvalgte kart)
lagt til javascript-variabler mapid_js og mapname_js for å lette gjenbruken av javascript-funksjonen utenfor plugin-modulen
ny tutorial: hvordan lage egendefinerte basemaps ved hjelp av MapTiler
ny 3d-logo for Maps Marker Pro 🙂
bruk CSS-klasser i stedet for inline-stiler for nyere markørwidgets for å bedre støtte overstyringer (thx Patrick!)
oppdatert kundeområde på mapsmarker.com samt bytte til PHP 5.6 - rapporter eventuelle problemer!
GPX-spor som bruker UTF8 med BOM-koding vises ikke i Google Chrome (thx José!)
SiteOrigin fikset en plugin-konflikt ved å slippe Page Builder v2.1
Fjernet unset () for validate_local_key () da det kan føre til at den andre valideringen av den lokale nøkkelen etter oppdatering mislykkes
problemer med lisens API-anrop på servere der SSLVerifyClient-direktivet er satt til "påkrevd" (thx Ron!)
tilpasset standardikon ble ikke lagret etter at "legg til ny markør" -koblingen ble brukt en gang (thx Cyrille!)
tilpassede PHP-separatorinnstillinger for floatval () kan føre til ødelagte kart (thx Tamas!)
ødelagt lag rediger kobling på markørredigeringssider etter publiserings- eller oppdateringsknapp har blitt klikket
se etter PHP Suhosin-patch som førte til hvitskjerm på spesielle serverkonfigurasjoner hvis phpinfo () ble blokkert
Oversettelsesoppdateringer
Hvis du vil hjelpe med oversettelser, kan du gå til nettbasert oversettelsesplattform
Slovensk (sl_SL) oversettelse takket være Anna Dukan, http://www.unisci24.com/blog/
oppdatert fransk oversettelse takket være Vincèn Pujol, http://www.skivr.com og Rodolphe Quiedeville, http://rodolphe.quiedeville.org, Fx Benard, http://wp-translator.com, cazal cédric, http://www.cedric-cazal.com, Fabian Hurelle, http://hurelle.fr og Thomas Guignard,http://news.timtom.ch
oppdatert tysk oversettelse
oppdatert latvisk oversettelse takket være Juris Orlovs, http://lbpa.lv og Eriks Remess http://geekli.st/Eriks
oppdatert norsk (bokmål) oversettelse takket være Inge Tang, http://drommemila.no
oppdatert rumensk oversettelse takket være Arian, http://administrare-cantine.ro, Daniel Codrea, http://www.inadcod.com og Flo Bejgu, http://www.inboxtranslation.com
oppdatert russisk oversettelse takket være Ekaterina Golubina (støttet av Teplitsa fra Social Technologies - http://te-st.ru) og Vyacheslav Strenadko, http://poi-gorod.ru
oppdatert spansk oversettelse takket være David Ramírez, http://www.hiperterminal.com, Alvaro Lara, http://www.alvarolara.com, Victor Guevara, http://1sistemas.net, Ricardo Viteri, http://www.labviteri.com og Juan Valdes
oppdatert svensk oversettelse takket være Olof Odier http://www.historiskastadsvandringar.se, Tedy Warsitha http://codeorig.in/, Dan Paulsson http://www.paulsson.eu, Elger Lindgren, http://20x.se og Anton Andreasson, http://andreasson.org/
oppdatert vietnamesisk (vi) oversettelse takket være Hoai Thu, http://bizover.net
Kjente problemer
Internet Explorer kan krasje med WordPress 4.2 til 4.2.2 på grunn av Emoji-konflikt (detaljer) - planlagt å bli løst med WordPress 4.2.3, midlertidig løsning til WordPress 4.2.3 er tilgjengelig: deaktiver Emojis

vis tidligere veksler

Hvordan laste ned / oppdatere

Den enkleste måten å oppdatere er å bruke WordPress-oppdateringsprosessen: logg inn med en bruker som har administratorrettigheter, naviger til Dashboard / Updates, velg plugins som skal oppdateres og trykk på knappen “Update Plugins”. Pro-plugin sjekker hver 12. time om en ny versjon er tilgjengelig. Du kan også utløse oppdateringssjekken manuelt ved å gå til Plugins og klikke på lenken "Manuelt se etter oppdateringer" ved siden av "Maps Marker Pro":

manual-update-sjekk

Hvis du ikke ser lenken "Sjekk etter oppdateringer" og bruker en versjon under 1.7, må du oppdatere manuelt en gang ved å laste ned gjeldende pakke fra https://www.mapsmarker.com/download-pro og overskrive eksisterende plugin-filer på serveren din via FTP. Dette kan være nødvendig på flere verter, som bruker utdaterte SSL-biblioteker, som forhindrer Maps Marker Pro i å opprette en sikker forbindelse for å hente oppdateringspakken fra mapsmarker.com. Pro v1.7 inkluderer en løsning for den typen servere, og følgende oppdateringer skal fungere som vanlig. Hvis du er berørt og trenger hjelp, vær så snill åpne en støtte billett.

Slik bekrefter du integriteten til plugin-pakken

SHA-256 hashverdi:

238F109F0057EBBACBE0984B01AFFBA2C52E81B93C767F53A28668CFB7F7EFA5

Klikk her for en veiledning for å bekrefte integriteten til plugin-pakken (anbefales hvis plugin-pakken for en ny installasjon ikke ble lastet ned fra https://www.mapsmarker.com - bekreftelse er ikke nødvendig, men hvis den automatiske oppdateringsprosessen brukes)

Ytterligere oppdateringsnotater for betatester

Ingen ekstra handling på plugin-oppdatering kreves.

3 svar til “Pro v2.3 med geolokasjonsforbedringer og kompatibilitetsfikser er tilgjengelig”

    Kartene mine lastes ikke etter 2.3-oppdateringen. Når jeg klikker på "feilsøking" på forsiden i kartene, får jeg en død side.

    Hjelp !!!

    Som en oppdatering installerte jeg pluggen “deaktiver emoji”, og kartene fungerer nå.

    Jeg vurderte ikke dette da jeg så på kartene i krom v 43.0.2357.81 moh. Derfor vil jeg oppgi at emoji-problemet påvirker Chrome-nettleseren i tillegg til IE-nettleseren.

    hilsen
    Vil

      Hei vilje
      Jeg kunne ikke gjengi problemet med krom ennå. Uansett som skrevet i changelog, er det eneste jeg kan gi råd om dette problemet å installere deaktivere emoji-plugin: - / I mellomtiden snakket jeg igjen med gutta og damene på WordPress, og de bekreftet at det vil komme en 4.2.3 utgivelse (som det allerede er en tagg i WordPress SVN) - uansett kunne jeg ikke finne ut av det når 4.2.3 planlegges utgitt - håper jeg tidligere enn senere forhåpentligvis ...
      best,
      Robert

Legg igjen en kommentar

XHTML: Du kan bruke disse kodene: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X